Subject: Re: packet loss probability

From: [email-masked]
Date: Thu, 18 Nov 1999 18:02:44 +0530

Actually, I meant the packet error rate, if you are just measuring it at the
data link layer and
not at the transport layer. I.e. there is a data link layer operating over the
radio interface (say
RLC/MAC or LLC for GPRS). For TCP there will be the effects of small size acks,
etc. as
you have pointed out.

Regards,
Abheek

Lloyd Wood <[email-masked]> on 11/18/99 05:53:15 PM

Please respond to Lloyd Wood <[email-masked]>

To:   Abheek Saha/HSS@HSS
cc:

Subject:  Re: packet loss probability

On Thu, 18 Nov 1999 [email-masked] wrote:

> As Lloyd Wood and others have pointed out, this figure gives the raw packet
> error rate.

you mean raw BIT error rate, yes?

L.

The impact on the transport protocol (TCP, what have you) is
> different. For example, if your TCP MTU is say 576 octets, and the size of
> the packets at layer 2 over the radio link are 100 octets we could compute:
> (a) approx 40% of the TCP packets would be less than 100 octets. These map
> to acks, HTTP get messages, cache validation queries, etc. These would show
> the b*p packet error rate.
> (b) The rest of the TCP packets, corresponding to HTTP data, FTP data, etc.
> would be the size of the MTU. These would be broken up into an average of,
> say, 5.5 packets over the radio link. These would show a packet error rate
> of 5.5*b*p.
>
> You can check out the data dumps available at the lbl.gov site to get a good
> idea of the TCP packet size distributions.
>
> So overall you are getting 0.4*b*p + 0.6*5.5*b*p = 3.7*b*p
>
> Again, it might be the case that the ack path has different characteristics
> than the main transmission path. This will also have effects on the perceived
> packet loss rate at the transport layer level.
>
> Regards,
> Abheek Saha
>
> 
>
>
>
>
>
>

<[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>

---

From: [email-masked]
Date: Fri, 19 Nov 1999 13:38:10 -0500

Actually, it is worth noting (based on a number of studies including one
done by MCI a while ago) that about 55-65% of the Internet packets are of
size 40-44 bytes.  HTTP packets are definitely more than that because they
include the HTTP hdr. which is inherently large (relatively).

--------------
Osama Qadan - INTELSAT Broadband Program

Just a small nit:
> 
> [email-masked] writes:
> 
> ...
> > error rate. The impact on the transport protocol (TCP, what 
> have you) is
> The times when I have looked, I haven't seen an HTTP get message which
> is smaller than 100 bytes.  I doubt if this is even possible.  Off the
> top of my head, typical sizes are 200-500 bytes.
> 
> --Jamshid
>